Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2255208 - CVE-2023-4255 w3m: out-of-bounds write in function checkType() in etc.c (incomplete fix for CVE-2022-38223) [fedora-all]
Summary: CVE-2023-4255 w3m: out-of-bounds write in function checkType() in etc.c (inco...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: w3m
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-4255
TreeView+ depends on / blocked
 
Reported: 2023-12-19 10:31 UTC by TEJ RATHI
Modified: 2024-03-27 01:37 UTC (History)
3 users (show)

Fixed In Version: w3m-0.5.3-63.git20230121.fc40 w3m-0.5.3-63.git20230121.fc39 w3m-0.5.3-63.git20230121.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-03-23 00:41:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2023-12-19 10:31:25 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2255207

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 TEJ RATHI 2023-12-19 10:31:29 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2255207,2255208

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-03-18 23:08:42 UTC
FEDORA-2024-3fc66f8bf3 (w3m-0.5.3-63.git20230121.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-3fc66f8bf3

Comment 3 Fedora Update System 2024-03-18 23:08:52 UTC
FEDORA-2024-aeb75f8b5b (w3m-0.5.3-63.git20230121.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-aeb75f8b5b

Comment 4 Fedora Update System 2024-03-18 23:09:04 UTC
FEDORA-2024-38c2261ca0 (w3m-0.5.3-63.git20230121.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-38c2261ca0

Comment 5 Fedora Update System 2024-03-19 01:55:17 UTC
FEDORA-2024-aeb75f8b5b has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-aeb75f8b5b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-aeb75f8b5b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2024-03-19 02:06:09 UTC
FEDORA-2024-3fc66f8bf3 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-3fc66f8bf3`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-3fc66f8bf3

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-03-19 03:15:32 UTC
FEDORA-2024-38c2261ca0 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-38c2261ca0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-38c2261ca0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-03-23 00:41:15 UTC
FEDORA-2024-aeb75f8b5b (w3m-0.5.3-63.git20230121.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2024-03-27 01:26:35 UTC
FEDORA-2024-3fc66f8bf3 (w3m-0.5.3-63.git20230121.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2024-03-27 01:37:11 UTC
FEDORA-2024-38c2261ca0 (w3m-0.5.3-63.git20230121.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.